Skip to navigation

Create ATS Application

Creates an application that links an existing candidate to an existing job. Call it after creating the candidate with POST /rest/ats/candidates; the application can then receive notes or be moved through the stages of its interview plan.

Token scopes: ats:write, worker:write

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

curl -X GET 'https://api.deel.training/rest/v2/contracts' \
  -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Create application request
dataobjectRequired

Response

Successful response with application data
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error